#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s;
    int a1, a2;
    char c;

    cin>>s;
    cin>>a1>>a2;

    if(s[0]==s[1] || abs(a1-a2)>1)
        cout<<"nemoguce";
    else
    {
        if(a1-a2==-1)
        {
            c=s[1];
            s[1]=s[0];
            s[0]=c;
        }

        for(int i=0; i<(a1+a2)/2; i++)
            cout<<s;

        if(a1-a2!=0)
            cout<<s[0];
    }
    return 0;
}